# Interface methods for submodule: FullToHalfHermitianImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: FullToHalfHermitianImageFilter
class FullToHalfHermitianImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetActualXDimensionIsOddOutput(self):
		""""""
		...

	def GetActualXDimensionIsOdd(self) -> bool:
		""""""
		...

